<div class="comments-main">
	<div class="col-md-12 add-comment-section">
		<div class="section-title">
			<div style="float: left;"><i class="fa fa-comments comments_icon"></i></div>
			<div><span class="comment-section-title">Add Comments</span></div>
		</div>
		<div class="col-md-12 add-comment-section">
			<div class="comment-textarea">
				<textarea placeholder="Add Comments" rows="3" class="form-control _comment_message" style="width: 100%;"[(ngModel)] = "commentData.message"></textarea>
			</div>
			<button class="btn btn-default save_comment btn-fill" name="saveComment" (click) = "add_comment()">Save</button>
		</div>	
	</div>

	<div class="activity-title-section">
		<div class="col-md-9 activity_title">
			<div class="" style="float: left;"><i class="fa fa-list activity_icon"></i></div>
			<div><span class="comment-section-title">Activity</span></div>
		</div>
		<div class="col-md-3">
			<a class="_hide_activity pull-left" style="cursor: pointer;" (click) = "toggle_activity()">Hide/Show Activities</a>
		</div>
	</div>
	<div class="col-md-12 activity-section comments-container" *ngIf = "commentStatus">
		<div class="activity-list">
			<div class="col-md-12 activity" *ngFor = "let comment of comments;">
				<span class="user-comment">{{comment.user.first_name.charAt(0) | uppercase}}{{comment.user.last_name.charAt(0) | uppercase}}</span>
				<div class="col-md-6">
					<span class="_comments_user"><b>{{comment.user.first_name}} {{comment.user.last_name}}</b></span>
					<div *ngIf = "comment.message">
						<div class="_comment_text" >
							<span class="_comments">{{comment.message}}</span>
						</div>
					</div>
					<span class="_comments" *ngIf = "comment.data != 'undefined'">{{comment.data}}</span>
					<span class="comment-date">{{comment.created_at}}</span>
				</div>
			</div>
		</div>	
	</div> 
</div>
<!-- hidden comments div  -->
		<div class="col-md-12 activity-hidden">
			<span class="user-comment">DS</span>
			<div class="col-md-6">
				<span class="_comments_user"><b></b></span>
				<div class="_comment_text" ><span class="_comments"></span></div>
				<span class="comment-date"></span>
			</div>
		</div>
